- Qt 5.5
- Qt3D Module
- C++ Classes
- DependencyHandler
- Qt 5.5.1 Reference Documentation

# DependencyHandler Class

(Qt3D::DependencyHandler)

- List of all members, including inherited members

## Public Functions

| DependencyHandler()
void | addDependencies(QVector<Dependency> dependencies)
QVector<RunnableInterface *> | freeDependencies(const RunnableInterface * task)
bool | hasDependency(const RunnableInterface * depender)
void | setMutex(QMutex * mutex)

## Member Function Documentation

### DependencyHandler::DependencyHandler()

### void DependencyHandler::addDependencies(QVector<Dependency> dependencies)

### QVector<RunnableInterface *> DependencyHandler::freeDependencies(const RunnableInterface * task)

### bool DependencyHandler::hasDependency(const RunnableInterface * depender)

### void DependencyHandler::setMutex(QMutex * mutex)